# MVInfo_ Struct Reference
[V4L2 Video Encoder]

Holds the motion vector parameters for a single macro block. More...

`#include <v4l2_nv_extensions.h>`

List of all members.

## Public Attributes

__s32 | mv_x: 16
| Number of pixels the macro block has moved in horizontal direction.
__s32 | mv_y: 14
| Number of pixels the macro block has moved in vertical direction.
__u32 | weight: 2
| Temporal hints used by hardware for Motion Estimation.

## Detailed Description

Holds the motion vector parameters for a single macro block.

Definition at line 1063 of file v4l2_nv_extensions.h.

## Member Data Documentation

__s32 MVInfo_::mv_x

Number of pixels the macro block has moved in horizontal direction.

Definition at line 1065 of file v4l2_nv_extensions.h.

__s32 MVInfo_::mv_y

Number of pixels the macro block has moved in vertical direction.

Definition at line 1067 of file v4l2_nv_extensions.h.

__u32 MVInfo_::weight

Temporal hints used by hardware for Motion Estimation.

Definition at line 1069 of file v4l2_nv_extensions.h.

The documentation for this struct was generated from the following file:

- include/v4l2_nv_extensions.h